plugins {
    java
    idea
    id("org.springframework.boot") version "3.3.3"
    id("io.spring.dependency-management") version "1.1.6"
    id("org.graalvm.buildtools.native") version "0.10.2"
    id("io.freefair.lombok") version "8.10"
}

idea

group = "de.mattv"
version = "0.1.0"

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(21)
    }
}

repositories {
    mavenCentral()
}

idea {
    module {
        isDownloadJavadoc = true
        isDownloadSources = true
    }
}

val copyIndexHtml by tasks.creating(Copy::class) {
    from("$projectDir/frontend/dist/index.html")
    into("${layout.buildDirectory.get()}/resources/main/public")
}

tasks.processResources.get().dependsOn(copyIndexHtml)

dependencies {
    implementation("org.springframework.boot:spring-boot-starter-mail")
    implementation("org.springframework.security:spring-security-core")
    implementation("org.springframework.boot:spring-boot-starter-web")
    implementation("org.springframework.boot:spring-boot-starter-actuator")
    implementation("org.springframework.boot:spring-boot-starter-security")
    implementation("org.springdoc:springdoc-openapi-starter-webmvc-ui:2.6.0")
    implementation("com.thoughtworks.xstream:xstream:1.4.20")
    implementation("dev.samstevens.totp:totp:1.7")
    implementation("com.twelvemonkeys.imageio:imageio-webp:3.11.0")
    implementation("com.twelvemonkeys.imageio:imageio-jpeg:3.11.0")
    implementation("net.coobird:thumbnailator:0.4.20")
    implementation("org.bouncycastle:bcprov-jdk18on:1.78")
}
